!=====================================================================
!
!
! Datei: config.pro fr CREO 7.0
!
!
!
!======================================================================


! setup files, directories


start_model_dir			$cad_template_path
template_designasm		$cad_template_path\cz_standard_creo7.asm
template_drawing		$cad_template_path\drawing_templates\empty_a4.drw
template_ecadpart		$cad_template_path\cz_standard_creo7.prt
template_sheetmetalpart		$cad_template_path\cz_standard_sheetmetal_creo7.prt
template_solidpart		$cad_template_path\cz_standard_creo7.prt
template_harnesspart		$cad_template_path\cz_standard_harness_creo7.prt
default_layer_model 		$cad_template_path\layer_templates\cz_layer_creo7
pro_font_dir			$CZ_CAD_ROOT\cad_lib\font
pro_crosshatch_dir		$CZ_CAD_ROOT\cad_lib\xch
2d_palette_path			$CZ_CAD_ROOT\cad_lib\sec
trail_dir			$CZ_CAD_ROOT\temp\trail
plot_file_dir			$CZ_CAD_ROOT\temp\plotfiles
intf_profile_dir 		$CZ_CAD_ROOT\cad_config\data_exchange

modelcheck_dir			$CZ_CAD_ROOT\cad_config\modelcheck7\$LANG
bom_format			$CZ_CAD_ROOT\cad_config\Creo7\stueckliste.bom
pen_table_file			$CZ_CAD_ROOT\cad_config\Creo7\pentable.pnt
system_colors_file		$CZ_CAD_ROOT\cad_config\Creo7\syscol.scl
restricted_val_definition	$CZ_CAD_ROOT\cad_config\Creo7\parameter.lst

drawing_setup_file		$CZ_CAD_CONFIGPATH\zeiss_$CZ_CAD_COUNTRY.dtl

pro_colormap_path		$ADMPATH\cad_config
hole_parameter_file_path	$ADMPATH\cad_config\Bohrungstabellen
pro_weld_params_dir		$ADMPATH\cad_config\Welding
pro_format_dir			$ADMPATH\cad_lib\frm\ZEISS
pro_group_dir			$ADMPATH\cad_lib\Udf
pro_library_dir			$ADMPATH\cad_lib
pro_note_dir			$ADMPATH\cad_lib\notizen
pro_sheet_met_dir		$ADMPATH\cad_lib\bnd
pro_spool_dir			$ADMPATH\cad_lib\cabling\spool
pro_symbol_dir			$ADMPATH\cad_lib\sym
pro_table_dir			$ADMPATH\cad_lib\tbl
pro_palette_dir			$ADMPATH\cad_lib\sym\allgemeine_Paletten
ptc_manikin_library_path	$ADMPATH\cad_lib\ptc_manikin_lib
symbol_instance_palette_file	$ADMPATH\cad_lib\sym\allgemeine_Paletten\oberflaechenangaben.drw


! Umgebung

bell				no
clock				no
company_name			CARL ZEISS
default_abs_accuracy		0.01
display_full_object_path	yes
flip_arrow_scale		2
info_output_mode		both
mass_property_calculate		automatic
modelcheck_enabled		yes
model_tree_start		yes
nmgr_outdated_mp		warning
nmgr_reference_changed		warning
prehighlight			yes
select_on_dtm_edges		all_modes
spin_center_display		no
start_appmgr			no
proe_memory_buffer_size		0


! Benutzeroberflche

fonts_size			small
help_translation		yes
iconify_entire_pro		yes
menu_translation		yes
modeltree_show_gen_of_instance  yes
msg_translation			yes
new_parameter_ui		yes
new_relation_ui			yes
native_kbd_macros		no
open_window_maximized  		yes
param_dec_places		8
part_table_editor	 	protab
prompt_on_exit			yes
provide_pick_message_always	yes
suppress_license_loss_dialog	yes
visible_mapkeys			NO
visible_message_lines		3
windows_scale			1
www_tree_location		out


! Editoren

drawing_file_editor		editor
relation_file_editor		editor


! Modelldarstellung

auto_show_3d_detail_items	yes
blended_transparency		independent
display				shadewithedges
display_axes			no
display_axis_tags		yes
display_coord_sys		no
display_coord_sys_tags		yes
display_plane_tags		yes
display_planes			no
display_point_tags		yes
display_points			no
display_thick_cables		no
display_annotations		no
display_silhouette_edges	no
default_ramp_size		0
edge_display_quality		NORMAL
fast_highlight			no
fasthlr				no
frames_per_sec			no
frames_per_sec_value		1
max_animation_time		0.5
mesh_spline_surf		no
min_animation_steps		3
lods_enabled			no
shade_moving_comp   		yes
shade_surface_feat		yes
shade_with			CURVES
shade_with_edge_tangent		yes
shade_quality			3
show_axes_for_extr_arcs		yes
spin_with_part_entities		no
spin_with_silhouettes		no
spin_with_notes			no
tangent_edge_display		dimmed
texture				no


! Farben

number_user_colors		40
use_part_color_for_hidden_lines	yes


! Einheiten

pro_unit_length			unit_mm
pro_unit_mass			unit_kilogram


! Skizzierer

sket_import_geometry_line_style	yes
sketcher_3d_drag		no
sketcher_animated_modify	yes
sketcher_dim_of_revolve_axis	yes
sketcher_disp_dimensions	yes
sketcher_lock_modified_dims	yes
sketcher_refit_after_dim_modify	no
sketcher_save_preview_image	yes
sketcher_snap_model_geometry	no
sketcher_starts_in_2d		yes


! KEs

dynamic_preview			attached
enable_tapered_extrude	  	yes
enable_obsoleted_features	yes
hole_diameter_override		yes
show_geom_checks_on_creation	no


! Baugruppe

allow_save_failed_model		no
allow_freeze_failed_assy_comp	yes
auto_constr_always_use_offset 	never
check_interference_of_matches 	no
comp_angle_offset_eps 		91
comp_assemble_start		move_then_place
comp_assemble_with_interface	from_list
comp_interface_placement	interface_to_geom
comp_placement_edge_highlight	yes
comp_rollback_on_redef		yes
copy_geometry_method		references
enable_dragdrop_on_components 	reorder
fail_ref_copy_when_missing_orig	yes
freeze_failed_assy_comp		no
multiple_skeletons_allowed	yes
package_constraints		update
remember_replaced_components	no
shrinkwrap_alert		no
update_comps_missing_extref_dat yes
hide_pre_creo4_reps		no


!Bemassungen & Toleranzen

allow_rfs_default_gtols_always	yes
ang_dim_in_screen		yes
default_dec_places		3
mark_approximate_dims		yes
maintain_limit_tol_nominal	yes
minimum_angle_dimension		0.001
parenthesize_ref_dim		yes
round_displayed_dim_values	yes
tol_display			yes
tolerance_standard		iso


! Zeichnung

auto_regen_views		yes
allow_move_attach_in_dtl_move	yes
allow_move_view_with_move	yes
create_drawing_dims_only	yes
default_ang_dec_places		2
default_draw_scale		1.0
disp_trimetric_dwg_mode_view	yes
display_in_adding_view		minimal_wireframe
drawing_view_origin_csys	x0y0z0
force_wireframe_in_drawings	no
highlight_erased_dwg_views	yes
highlight_new_dims		yes
hlr_for_quilts			yes
save_display			no
save_drawing_picture_file 	no
selection_of_removed_entities	no
show_preview_default		remove


! Blech

enable_flat_state 		yes
merge_smt_srfs_without_seam	yes


! Schweissen

add_weld_mp			no
weld_ui_standard		iso
weld_ask_xsec_refs		no
weld_dec_places   		3


! Cabling

display_thick_cables		yes
freeze_failed_cable_locations	yes
full_hlr_for_cables		partial
orthogonal_snap			yes


! Mechanica

sim_display_current_csys_triad 	yes
sim_fatigue_external_matdata 	yes
sim_fatigue_user_directory 	$homedrive$$homepath$
sim_pp_legend_levels		16 
sim_pp_background_color		white
sim_pp_display_beam_thickness	5
sim_results_on_first_pass 	yes
sim_run_tmp_dir			$CZ_CAD_ROOT\temp\mechtemp
sim_solver_memory_allocation 	8192


! Referenzsteuerung

default_ext_ref_scope		skeleton_model
ref_scope_copy_color_change	no
ref_scope_prohibit_color_change	yes
retrieve_data_sharing_ref_parts	ignore_missing
rv_search_scope 		window
scope_invalid_refs		prohibit


! Drucken und Plotten

interface_quality 		3
plotter_command			WINDOWS_PRINT_MANAGER
plot_names			yes
use_8_plotter_pens		yes
use_software_linefonts		yes
raster_plot_dpi			400
tiff_compression		g4


! PDF-Export

pdf_use_pentable		yes
pdf_linecap			round
pdf_linejoin			round


! Datenaustausch Allgemein

frt_enabled		    	yes
step_out_suppl_geom		yes


! Exportprofile

export_profiles_acis $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_acis
export_profiles_amf $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_amf
export_profiles_cadds5 $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_cadds5
export_profiles_catia_v4 $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_catv4
export_profiles_catia_v5 $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_catv5
export_profiles_catia_v5_cgr $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_cgr
export_profiles_creoview $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_cgr
export_profiles_dwg $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_dwg
export_profiles_dxf $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_dxf
export_profiles_iges $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_iges
export_profiles_inventor $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_inventor
export_profiles_jt $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_jt
export_profiles_medusa $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_medusa
export_profiles_neutral $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_neu
export_profiles_nx $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_nx
export_profiles_optegra_vis $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_optegravis
export_profiles_parasolid $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_para
export_profiles_render $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_render
export_profiles_solidworks $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_sw
export_profiles_step $CZ_CAD_ROOT\cad_config\data_exchange\st_ap214.dep_step
export_profiles_stl $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_stl
export_profiles_vda $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_vda
export_profiles_wavefront $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_wavefront
export_profiles_xpatch $CZ_CAD_ROOT\cad_config\data_exchange\st.dep_xpatch
export_profiles_3mf $CZ_CAD_ROOT\cad_config\data_exchange\def_profile.dep_3mf


! Importprofile

import_profiles_catiav5		catiav5
import_profiles_ced		imp_xyz
import_profiles_nx		nx
import_profiles_solidworks	SolidWorks


! Datenaustausch 2D

dxf_export_format		2013
dwg_export_format		2013
intf2d_fit_incompatible_data	yes
intf2d_out_enhanced_ents	spline_and_hatch


! Datenaustausch 3D

intf_in_use_template_models	yes


! Datenaustausch ECAD

ecad_comp_csys_def_name 	ECAD
ecad_comp_layer_map		no


! System

display_ie8_warning_dialog	no
enable_tree_indep		yes
nt_cache_dirs			no
set_trail_single_step		no
web_browser_homepage		https://wiki.zeiss.com/display/KUCPLM/Creo+News
enable_resource_browser_tab	no
enable_partcommunity_tab	no


! Daten speichern und aufrufen

compress_output_files		no
file_open_default_folder	working_directory
lang_propagate			yes
menu_show_instances		no
rename_drawings_with_object	BOTH
retain_display_memory		yes
save_model_display		shading_lod
save_instance_accelerator	none
use_temp_dir_for_inst		yes
save_texture_with_model		yes


! Without category

auto_orient_axis_alignment 	no
create_drw_sheet_thumbnails	no
drw_prompt_for_combined_state	yes
display_combined_views		yes
enable_3dmodelspace_browser_tab	no
js_error_policy 		suppress_continue
last_session_retrieval		no
measure_dialog_expand		yes
!regen_failure_handling		resolve_mode
regen_solid_before_save		no
round_prewf5_displayed_dim_val	round all
show_object_type_in_taskbar	yes


! Neue Optionen fuer Creo 7

allow_deprecated_config 	a7dbf365332d5345
cable_stripes_file 		$ADMPATH\lib_cz\cabling\cable_stripes\cable_stripes.csv
def_shown_layers_in_view	drawing
display_prompt_on_cursor	no
dwg_show_screentip		no
dwg_view_scale_tooltip		yes
dwg_view_simp_rep_tooltip	yes
edit_cable_stripes_file		no
enable_multi_material_model 	no
enable_punditas_browser_tab 	no
hide_pre_creo6_note_properties	no
hide_set_datum_plane_with_plane yes
move_section_arrow_with_name 	yes
open_protk_unsigned_apps 	always
remove_stacked_non_graphical_ae	yes
sketcher_line_width 		1.0
sketcher_instant_snap_to_model 	no
sketcher_pre_creo4_constraints	no
sketcher_refit_after_dim_modify yes
style_default_tangent_conn 	yes
windows_browser_type 		chromium_browser
